Subject: Random Number Generator Fail ...

From: Sidney Ramos de Santana <sidney$at$dqf.ufpe.br>
Date: Thu, 29 May 2003 18:44:14 -0300

Dear CCL Users,

I compiled the Shell-Dynamo 2.1 with G77(Gnu Compiler)
and with IFC(Intel Fortran Compiler).
I have been trying to perform a calculation of diffusion constants
of Ions in a oxifluoride glass.
In this program I am using Buckigham potential and the initial
coordinates of the ions in the simulation box was been filling
randomicly, because I choosed the option "fillbox random".
This initial coordinates in the program compiled with G77
are generating by "ranf" intrinsic function, and in the IFC are
generating by "random_number" intrinsic function using
"date_and_time" intrinsic function to generate a seed.
In the both cases the initial configuration generated was the worst
possible. This way, I will need a very, very big step numbers in
this MD simulation.
So, this question for you:
What is the best to generate randomicly an initial
coordinates  of the ions the simulation box:
an intrinsic function of Compiler to generate random
number (if yes, why?) or an algorithm(if yes, why) ?

Sidney Ramos
Graduate Program of Materials Science
DQF - CCEN - UFPE